package com.factory.web.entity.pm.res;

import java.time.LocalDate;
import java.util.List;

import com.factory.web.entity.pm.OnsiteCalendar;
import com.factory.web.entity.pm.OnsiteWorkshop;
import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmPlanRes {

	@ApiModelProperty(value = "计划ID")
	private Long bentelerPlanId;

	@ApiModelProperty(value = "计划名称")
	private String bentelerPlanName;
	
	@ApiModelProperty(value = "计划类型 1首件 2防错")
	private Integer planType;

	@ApiModelProperty(value = "生效日期", example = "2021-06-06")
	private LocalDate effectiveDate;

	@ApiModelProperty(value = "日周月点检规则")
	private List<OnsiteCalendar> onsiteCalendarList;

	@ApiModelProperty(value = "表头")
	private String titleContent;

	@ApiModelProperty(value = "工作站及巡检内容")
	private List<OnsiteWorkshop> onsiteWorkshopList;

}
