package com.jihengbel.intelligent.applicationtask.init;

import com.jihengbel.intelligent.applicationtask.service.OnsiteTaskService;
import org.quartz.Scheduler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.scheduling.quartz.SchedulerFactoryBean;
import org.springframework.stereotype.Component;

import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

/**
 * 这个是启动就触发的部分
 */
@Component
public class TimerTaskInit implements CommandLineRunner {

    //    @Resource(name="onsiteTaskServiceImp")
    @Autowired
    OnsiteTaskService onsiteTaskService;

    @Autowired
    SchedulerFactoryBean schedulerFactoryBean;

    @Override
    public void run(String... args) throws Exception {
        ConcurrentMap<String, Object> param = new ConcurrentHashMap<String, Object>();
        param.put("onsiteTaskService", onsiteTaskService);
        Scheduler sche = schedulerFactoryBean.getScheduler();
        JobFactoryParam onsite =new JobFactoryParam();
        onsite.setJobGroupName(QuartzManager.JOB_GROUP_NAME);
        onsite.setJobName("onsiteTask");
        onsite.setParamMap(param);
        onsite.setTriggerRule("0 */1 * * * ?");
        onsite.setClazz(OnsiteTaskJob.class);
        QuartzManager.addJob(sche, onsite);
    }
}
