package com.factory.base.entity.po.benteler;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 本特勒检测计划
 *
 * @author dl
 * @date 2021-06-29 14:31:47
 */
@Data
@TableName("benteler_plan")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
public class BentelerPlan implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "计划名称")
    private String name;

    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private Integer planType;

    @ApiModelProperty(value = "是否禁用暂停 0否 1是")
    private Boolean pauseFlag;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "逻辑删除", hidden = true)
    private Integer deleted;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人", hidden = true)
    private Long createdUserId;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间", hidden = true)
    private LocalDateTime createdTime;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最近更新人", hidden = true)
    private Long updatedUserId;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最近更新时间", hidden = true)
    private LocalDateTime updatedTime;


    @TableField(exist = false)
    @ApiModelProperty(value = "版本", hidden = true)
    private BentelerIniVersion version;
}
